home=/home/"$sv"
version=7.0

"$tool"/local/apt-get-install openerp --force-yes --no-upgrade
	# XXX: --force-yes car les paquets de nightly.openerp.com
	#      ne sont pas signés par OpenPGP..
"$tool"/local/insserv-remove  openerp

"$tool"/local/adduser "$sv" \
 --disabled-login \
 --disabled-password \
 --group \
 --home "$home" \
 --shell /bin/false \
 --system
"$tool"/local/adduser "$sv"-addon \
 --disabled-login \
 --disabled-password \
 --group \
 --home "$home"/addon.d \
 --shell /bin/sh \
 --system

sudo install -d -m 1777 -o root -g root \
 /etc/openerp \
 /etc/openerp/$version
sudo install -d -m 3771 -o "$sv" -g "$sv" \
 "$home" \
 "$home"/etc
sudo install -d -m 2750 -o "$sv"-addon -g "$sv"-addon \
 "$home"/addon.d \
 "$home"/addon.d/etc
sudo ln -fns \
 /etc/openerp/$version \
 "$home"/etc/openerp

while ! sudo -u postgres psql </dev/null
do sleep 1; done
"$tool"/local/postgresql-user-create "$sv"
for db in \
	atelieretincelle \
	autourducycle \
	bretzselle \
	changedechaine \
	choisir \
	convibicy \
	cyclamaine \
	cyclesetmanivelles \
	cyclo_ivry \
	cyclo_pantin \
	cyclo_paris_est \
	cyclofficine_angouleme \
	dynamo \
	etudesetchantiersidf \
	etudesetchantiersidf_test \
	eturecup \
	heureuxcyclage \
	labecaneajules \
	lapetiterennes \
	laptiterustine \
	larouelibre \
	lechatperche \
	lesjantesdunord \
	mobilidees \
	ocivelo \
	ohcyclo \
	placeauvelo \
	ptitvelo \
	recupr \
	repeyre \
	rouepet \
	tousdeuxroues \
	txirrindola \
	velocampus_nantes \
	velorution_idf \
	velorution_toulouse \
	velosenville \
	vieuxbiclou
 do
	#"$tool"/local/postgresql-role-create "${sv}_$db"
	"$tool"/local/postgresql-database-create "${sv}_$db" "$sv"
	sudo -u postgres psql -AqtX "${sv}_$db" <<-EOF
		\set ON_ERROR_STOP on
		GRANT USAGE  ON SCHEMA pg_catalog               TO $sv;
		GRANT SELECT ON TABLE  pg_catalog.pg_attribute  TO $sv;
		GRANT SELECT ON TABLE  pg_catalog.pg_class      TO $sv;
		GRANT SELECT ON TABLE  pg_catalog.pg_constraint TO $sv;
		GRANT SELECT ON TABLE  pg_catalog.pg_indexes    TO $sv;
		GRANT SELECT ON TABLE  pg_catalog.pg_proc       TO $sv;
		GRANT SELECT ON TABLE  pg_catalog.pg_type       TO $sv;
		EOF
 done

sudo adduser git   "$sv"-addon
sudo adduser "$sv" "$sv"-addon
sudo adduser "$sv" postgres-data

for addon in \
	account_analytic_improvement \
	account_export_csv \
	account_move_line_nofilters \
	account_move_line_no_default_search \
	analytic_point_of_sale \
	atelieretincelle \
	bikecoop \
	bikecoop_l10n_fr \
	bikecoop_translations \
	bretzselle \
	changedechaine \
	choisir \
	cyclamaine \
	cyclesetmanivelles \
	cyclofficine_angouleme \
	cyclofficine_ivry \
	cyclofficine_paris_est \
	cyclofficine_pantin \
	dynamo \
	etudesetchantiersidf \
	eturecup \
	lapetiterennes \
	laptiterustine \
	larouelibre \
	lechatperche \
	lesjantesdunord \
	lhc \
	mobilidees \
	nrt_point_of_sale \
	no_db_management \
	ohcyclo \
	pos_membership \
	ptitvelo \
	recupr \
	repeyre \
	tousdeuxroues \
	txirrindola \
	remembership \
	velocampus_nantes \
	velorution_idf \
	velosenville
	#vieuxbiclou_mpt
 do
	sudo install -d -m 2771 -o "$sv" -g "$sv"-addon \
	 "$home"/addon.d/"$addon"
	sudo -u git git \
	 --git-dir ~git-data/burette/"$addon".git \
	 --work-tree="$home"/addon.d/"$addon" \
	 checkout -f 7.0
	sudo -u git git \
	 --git-dir ~git-data/burette/"$addon".git \
	 --work-tree="$home"/addon.d/"$addon" \
	 clean -d -e sec/ -f -f -x
	sudo chmod a-x \
	 /home/git/data/burette/"$addon".git/hooks/post-update.sample
	sudo install -m 550 -o git -g git /dev/stdin \
	 /home/git/data/burette/"$addon".git/hooks/post-update <<-EOF
		#!/bin/sh -efux
		find . -type f -perm /+x -name 'post-update.*' |
		while IFS= read -r hook
		 do "\$hook" "\$@"
		 done
		EOF
	sudo install -m 550 -o git -g git /dev/stdin \
	 /home/git/data/burette/"$addon".git/hooks/post-update."$sv" <<-EOF
		#!/bin/sh -efux
		case \$1 in
		 (refs/heads/7.0)
			git \\
			 --git-dir ~git-data/burette/"$addon".git \\
			 --work-tree="$home"/addon.d/"$addon" \\
			 checkout -f 7.0
			git \\
			 --git-dir ~git-data/burette/"$addon".git \\
			 --work-tree="$home"/addon.d/"$addon" \\
			 clean -d -e sec/ -f -f -x
			#sv restart "$sv"
			;;
		 esac
		EOF
 done
